jmeter-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject RSyntaxTextArea 2.5.1, 2.5.2 not available from Maven - how to resolve?
Date Thu, 26 Jun 2014 14:13:02 GMT
The latest versions of RSyntaxTextArea (RSTA) - 2.5.1 and 2.5.2 - are
not available from Maven Central.

JMeter currently downloads 2.5.1 from SourceForge.

JMeter Maven currently does not work because of this.

We need to resolve this before the next release.

Options:
1) Wait for Maven Central to get the jars. See [1] - this may take a long time.
2) Update the poms to fetch the jar from SourceForge somehow (no idea
if this is possible)
3) Downdate the pom dependency to 2.5.0, i.e. allow it to use an older version
4) Downdate the JMeter dependency to 2.5.0

Any thoughts on this?

The easiest would be options 3 or 4.
Does JMeter really need the fixes added since 2.5.0?
If not, then option 4 is trivial.
Otherwise, option 3 is easy to implement but it would mean potentially
different behaviour for Maven runs.
I've never used the Maven option.
If it is only likely to be used for non-GUI testing, then the version
of RSTA would be irrelevant for Maven.

S.

[1] https://github.com/bobbylight/RSyntaxTextArea/issues/31

Mime
View raw message